Skip to main content
POST
/
api
/
personal-trading-history
/
batch
Get Batch Wallet Trading History
curl --request POST \
  --url https://backend-global.gains.trade/api/personal-trading-history/batch \
  --header 'Content-Type: application/json' \
  --data '
{
  "addresses": [
    "<string>"
  ],
  "chainId": 42161,
  "limit": 50,
  "cursors": {}
}
'
{}

Endpoint

POST /api/personal-trading-history/batch Returns paginated trading history for multiple wallets.

Request Body

Send JSON matching the schema shown in the generated API panel.

Usage Example

curl -X POST "https://backend-global.gains.trade/api/personal-trading-history/batch"

Response Structure

The generated API panel lists the response schema for status codes: 200, 400, 500. Error responses generally return an error or message field.

Body

application/json
addresses
string[]
required
chainId
integer
required
Example:

42161

limit
integer
Example:

50

cursors
object

Response

Successful response

{key}
object